import { MimeType } from "../interfaces/file.interface";
import { ValidationOptions } from "class-validator";
/**
 * Decorator that applies the HasMimeType constraint to the specified property.
 * @param mimeType The allowed mimetype(s) to validate against.
 * @param validationOptions The validation options.
 * @returns The decorator function.
 */
export declare function HasMimeType(mimeType: (MimeType | string)[], validationOptions?: ValidationOptions): (object: object, propertyName: string) => void;
