import { ValidationOptions } from "class-validator";
/**
 * Decorator function to validate if a property is an instance of FileData or, if the `each` option is true, an array of instances of FileData.
 * @param validationOptions - Optional validation options to customize the validation behavior.
 * @returns A property decorator function.
 */
export declare function IsFileData(validationOptions?: ValidationOptions): (object: object, propertyName: string) => void;
